function OnWarpEnter() 
	
	SetMarker("cs\\Warp_0045.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0067.wp" , 0 , 0)
	SetMarker("cs\\Warp_0055.wp" , 0 , 0)

	if ETAT_DAY == "D4" then 
		SetMarker("cs\\Warp_0057.wp" , 0 , 0) 
		if ESCAPE_FROM_CHAVIGNY and not MENTION_CONSTANCE then
			DrawText("Ma2787","Ma2787.ogg",0) -- Il est temps d'aller rendre visite à Constance. Je ne lui ai toujours pas apporté son philtre aphrodisiaque. 
			MENTION_CONSTANCE = true
			ESCAPE_FROM_CHAVIGNY = false
			CONSTANCE_DOOR_ROOM_OPENED = true
			LookAt(202, 004)
		end
	end 
	if ETAT_DAY == "D5" then 
		SetMarker("cs\\Warp_0057.wp" , 0 , 0) 
	end 
	
	if TALK_QUEEN_D5 and not SAVE_3 then
		-- SAVE
		SAVE_3 = true
		SaveGame("3.xml")
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0055.wp" then
		if JEAN_AT_LIBRARY_D4 then
			DrawText("Ma2656","Ma2656.ogg",0) -- Il est préférable d'en rester là pour le moment. Si c'est bien lui le meurtrier, j'ai intérêt à ne pas m'attarder en sa compagnie.
		else
			ChangeWarp(objectName)
		end
	end
	
	if objectName == "3D\\cs\\Warp_0057.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0045.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0067.wp" then 
		ChangeWarp(objectName)
	end
end
